metadata:
  name: sa8155p-adp-release-2.0-test-plan
  description: Qualcomm SA8155p-ADP IoT platform Test Plan
  os: openembedded
  devices:
    - adp
  maintainer:
    - bhupesh.sharma@linaro.org
    - nicolas.dechesne@linaro.org
  approver:
    - bhupesh.sharma@linaro.org
  owner:
    - Bhupesh Sharma
  format: Linaro Test Plan v2
  version: 0.1

tests:
  automated:
    - repository: https://github.com/Linaro/test-definitions
      from: git
      path: automated/linux/smoke/smoke.yaml
      parameters:
              TESTS: pwd, uname -a, ip a, vmstat, lsblk
    - repository: https://github.com/Linaro/test-definitions
      from: git
      path: automated/linux/usb-smoke/usb-smoke-test.yaml
    - repository: https://github.com/Linaro/test-definitions
      from: git
      path: automated/linux/toolchain-smoke/toolchain-smoke.yaml
    - repository: https://github.com/Linaro/test-definitions
      from: git
      path: automated/linux/device-tree/device-tree.yaml
    - repository: https://github.com/Linaro/test-definitions
      from: git
      path: automated/linux/meminfo/meminfo.yaml
    - repository: https://github.com/Linaro/test-definitions
      from: git
      path: automated/linux/dd-wr-speed/dd-wr-speed.yaml
    - repository: https://github.com/Linaro/test-definitions
      from: git
      path: automated/linux/sysbench/sysbench.yaml
      parameters:
              NUM_THREADS: 4
              TESTS: cpu memory threads mutex
    - repository: https://github.com/Linaro/test-definitions
      from: git
      path: automated/linux/device-read-perf/device-read-perf.yaml
    - repository: https://github.com/Linaro/test-definitions
      from: git
      path: automated/linux/hackbench/hackbench.yaml
    - repository: https://github.com/Linaro/test-definitions
      from: git
      path: automated/linux/linpack/linpack.yaml
    - repository: https://github.com/Linaro/test-definitions
      from: git
      path: automated/linux/openssl/openssl-speed.yaml
    - repository: https://github.com/Linaro/test-definitions
      from: git
      path: automated/linux/stream/stream-uniprocessor.yaml
    - repository: https://github.com/Linaro/test-definitions
      from: git
      path: automated/linux/pi-stress/pi-stress.yaml
    - repository: https://github.com/Linaro/test-definitions
      from: git
      path: automated/linux/pm-qa/pm-qa.yaml
      parameters:
        TESTS: cpufreq cpuidle cpuhotplug cputopology
    - repository: https://github.com/Linaro/test-definitions
      from: git
      path: automated/linux/docker/docker.yaml
    - repository: https://github.com/Linaro/test-definitions
      from: git
      path: automated/linux/bootrr/bootrr.yaml
      parameters:
              BOARD: qcom,sa8155p-adp
    - repository: https://github.com/Linaro/test-definitions
      from: git
      path: automated/linux/ptest/ptest.yaml
      params:
        EXCLUDE: bluez5 libxml2 parted python strace
    - repository: https://github.com/Linaro/test-definitions
      from: git
      path: automated/linux/crypto/crypto.yaml
    - repository: https://github.com/Linaro/test-definitions
      from: git
      path: automated/linux/crypto/cryptsetup.yaml
    - repository: https://github.com/Linaro/test-definitions
      from: git
      path: automated/linux/iozone/iozone.yaml

  manual:
    - path: manual/generic/serial-console.yaml
      repository: https://github.com/Linaro/test-definitions
    - path: manual/generic/linux/usb-keyboard.yaml
      repository: https://github.com/Linaro/test-definitions
    - path: manual/generic/linux/usb-storage.yaml
      repository: https://github.com/Linaro/test-definitions
    - path: manual/generic/linux/usb-camera.yaml
      repository: https://github.com/Linaro/test-definitions
